function [exp_linescan_array,exp_pressure,max_I,min_I,rec_crop_last_def]=make_exp_linescan_array_fxn

load_another='Y';
counter=0;
while load_another(1)=='Y'
    counter=counter+1;
    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
    % LOAD EXPERIMENTAL DATA %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
    image_input=img_format_GUI('Name','Image Selection');
    current_dir=pwd;
    
    % FROM IMAGE STACK %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
    if(image_input.method==1)                   
        load (image_input.path)                  %loads specified image stack

    % FROM IMAGE DIRECTORY %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
    elseif(image_input.method==2)
        cd(image_input.path)
        image_files = dir;     %makes list of all files in directory
        temp = size(image_files);                %Calculates number of images
        num_files=temp(1);
        exp_imgs = imread(image_files(3).name);      %Reads image 1 from graphics file
        for i = 4:num_files                     %Reads remaining images into exp_imgs
            temp = imread(image_files(i).name);
            exp_imgs = cat(4, exp_imgs, temp);
        end

        % Save Image Stack
        save_ques = questdlg('Would you like to save the image stack?','Save','Yes');   
        if save_ques(1)=='Y'
            save_path=uigetdir('','Select the SAVE destination:')
            prompt = {'Enter filename:'};
            dlg_title = 'Save'; 
            num_lines= 1; 
            [pathstr,name,ext,versn] = fileparts(save_path); 
            def     = {name};
            stack_name = inputdlg(prompt,dlg_title,num_lines,def); %defines name for file
            cd(save_path)                           %Changes directory to user-chosen dir
            save (stack_name{1,1}, 'exp_imgs');                   %Saves exp_imgs under "filename"
        end
            cd(current_dir)                         %Returns to previous directory

    % FROM USER-SELECTED IMAGES %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
    elseif (image_input.method==3)
        input_size=size(image_input.path_files);    %Calculates number of images
        num_files=input_size(1);           
        cd(image_input.path);                       %Changes current directory

        exp_imgs=imread(image_input.files{1});          %Reads in first user-selected image
        for i=2:num_files                          %Reads in rest of images
            temp=imread(image_input.files{i});
            exp_imgs=cat(4,exp_imgs,temp);
        end

        % Save Image Stack
        save_ques = questdlg('Would you like to save the image stack?','Save','Yes');   
        if save_ques(1)=='Y'
            save_path=uigetdir('','Select the SAVE destination:')
            prompt = {'Enter filename:','Enter file path:'};
            dlg_title = 'Save';
            num_lines= 1;
            [pathstr,name,ext,versn] = fileparts(save_path); 
            def     = {name};
            stack_name  = inputdlg(prompt,dlg_title,num_lines,def); %defines name for file
            cd(save_path);                           %Changes directory to user-chosen dir
            save (stack_name{1,1}, 'exp_imgs');                    %Saves exp_imgs under defined file name   
        end
        cd(current_dir);                             %Returns to previous directory
    end
    
    stack_size=size(exp_imgs);
    if ndims(exp_imgs)==2
        num_images=1;
    else
        num_images=stack_size(4);
    end

    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
    %DEFINE REGION OF INTEREST ON LAST IMAGE %%%%%%%%%%%%%%%%%%%%%%%%%%%
    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

    if counter==1
        % Select display image
        [disp_img_name,disp_img_path]=uigetfile({'*.tif';'*.jpg';'*.bmp';'*.gif'},'Select the image for defining uniform gradient region')
        disp_img=imread(strcat(disp_img_path,'\',disp_img_name));
        disp_img_size=size(disp_img);

        % Crop display image and last image in series
        [rec_crop_disp_img, rec_crop_last_def] = rec_crop (disp_img);
        [rec_crop_last_img, rec_crop_last_def] = rec_crop (exp_imgs(:,:,:,num_images),rec_crop_last_def);

    else  % crops remaining stacks to same ROI
        [rec_crop_last_img, rec_crop_last_def] = rec_crop (exp_imgs(:,:,:,num_images),rec_crop_last_def);
    end

    % Crop remaining images
    crop_exp_imgs=rec_crop_last_img;
    for i = (num_images-1):-1:1
    [temp1,temp2]=rec_crop(exp_imgs(:,:,:,i),rec_crop_last_def);
    crop_exp_imgs=cat(4,temp1,crop_exp_imgs);
    end
    clear exp_imgs

    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
    % MAKE EXPERIMENTAL LINESCAN ARRAY %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
    if counter==1
        sum_direction=questdlg('Should the linescan be made by summing rows or columns?','Integration Direction','Rows','Columns','Rows');
        close all %Allows user to see image before making choice about summing rows or columns
        crop_dimensions=size(crop_exp_imgs);
        if sum_direction(1)=='C'
            sum_dim=1;
            divisor=crop_dimensions(1);
            num_pts=crop_dimensions(2);
        else sum_dim=2;
            divisor=crop_dimensions(2);
            num_pts=crop_dimensions(1);
        end
    end
    
    temp=sum(crop_exp_imgs,sum_dim);
    exp_linescan_array(:,:,counter)=temp./divisor;
    
    % Normalize Linescan Data
    figure;plot(exp_linescan_array);
    photobleach=questdlg('Is there photobleaching evident in the linescan data?','Photobleaching','Yes','No','Yes');
    
        % Define Zero Intensity Regions 
        correct='N'
        while correct(1)=='N'
            figure('Name','Zero Intensity Definition','NumberTitle','off') 
            imshow(rec_crop_disp_img,[]);
            hold on
            title('Specify the ZERO INTENSITY region for BACKGROUND SUBTRACTION');
            [zero_img,zero_rect]=imcrop(rec_crop_disp_img,[]);
            box_data=[zero_rect(1),zero_rect(2);zero_rect(1)+zero_rect(3),zero_rect(2);zero_rect(1)+zero_rect(3),zero_rect(2)+zero_rect(4);zero_rect(1),zero_rect(2)+zero_rect(4);zero_rect(1),zero_rect(2)];
            plot (box_data(:,1),box_data(:,2),'r-')
            legend ('Zero Region Boundary')
            hold off
            correct = questdlg('Is this region correct?','Boundary Verification','Yes','No','Yes');
            close
        end
    
    if photobleach(1)=='Y'
        temp_max_I=max(exp_linescan_array);
        max_I=ones(num_pts,1)*temp_max_I;
    else
        temp_max_I=max(max(exp_linescan_array));
        max_I=ones(num_pts,num_images)*temp_max_I;
    end
    temp_min_I=min(exp_linescan_array(zero_rect(1):zero_rect(1)+zero_rect(3),:));
    min_I=ones(num_pts,1)*temp_min_I;
    exp_linescan_array=(exp_linescan_array-min_I)./(max_I-min_I);
    
    % Input pressures associated with linescan data
    pressure_left=inputdlg('What is the pressure (psi) in the LEFT channel?');
    pressure_right=inputdlg('What is the pressure (psi) in the RIGHT channel?');
    exp_pressure(counter,:)=[str2num(pressure_left{1,1}) str2num(pressure_right{1,1})];
   
    load_another=questdlg('Would you like to add another experimental data set to this array with the same ROI?','Question:','Yes','No','Yes');
end

% Display Final Experimental Linescan
figure;plot(exp_linescan_array);

% Save linescan array
if num_images==1
    exp_linescan_array=exp_linescan_array';
end
linescan_save_path=uigetdir('','Select the SAVE destination for the linescan file:')
linescan_prompt = {'Enter linescan filename:'};
linescan_dlg_title = 'Save'; 
linescan_num_lines= 1; 
[linescan_pathstr,linescan_name,ext,versn] = fileparts(linescan_save_path); 
def     = {linescan_name};
linescan_name = inputdlg(linescan_prompt,linescan_dlg_title,linescan_num_lines,def); %defines name for file
cd(linescan_save_path)                           %Changes directory to user-chosen dir
save (linescan_name{1,1},'exp_linescan_array','exp_pressure','max_I','min_I', 'rec_crop_last_def')
close all
